aboutsummaryrefslogtreecommitdiff
path: root/cmake/install.sh
diff options
context:
space:
mode:
Diffstat (limited to 'cmake/install.sh')
-rwxr-xr-xcmake/install.sh8
1 files changed, 5 insertions, 3 deletions
diff --git a/cmake/install.sh b/cmake/install.sh
index 595fd26..03eae77 100755
--- a/cmake/install.sh
+++ b/cmake/install.sh
@@ -5,7 +5,8 @@ set -e
case "$(uname -s)" in
Linux*) machine="Linux" ;;
Darwin*) machine="Mac" ;;
- *) echo "The install file can only be run on linux and mac" && exit 1 ;;
+ OpenBSD*) machine="OpenBSD" ;;
+ *) echo "The install file can only be run on linux, mac and openbsd" && exit 1 ;;
esac
scriptpath="$(dirname "$0")"
@@ -15,8 +16,9 @@ cmake -G Ninja -DCMAKE_BUILD_TYPE=Release ../../../
ninja
case $machine in
- Linux) bin_dir="/usr/bin" ;;
- Mac) bin_dir="/usr/local/bin" ;;
+ Linux) bin_dir="/usr/bin" ;;
+ Mac) bin_dir="/usr/local/bin" ;;
+ OpenBSD) bin_dir="/usr/local/bin" ;;
esac
sudo cp sibs "$bin_dir"